begin;

-- extend message.m_queue_id column
alter table message add new_queue_id varchar(255);

update message set new_queue_id = m_queue_id;

drop index message_m_queue_id_index;

alter table message rename m_queue_id to old_queue_id;
alter table message rename new_queue_id to m_queue_id;

alter table message drop old_queue_id;

create index message_m_queue_id_index on message(m_queue_id);

-- remove the not null constraint for qrntn_action_request.local
alter table qrntn_action_request alter column local drop not null;

-- restructure unique constraints on qrntn_action_request table
alter table qrntn_action_request drop constraint unq_qrntn_action_request;

create unique index qrntn_rqst_idactnlcldmn_index
on qrntn_action_request (m_global_id, action, local, domain)
where local is not null and domain is not null;

create unique index qrntn_rqst_idactnlcl_index
on qrntn_action_request (m_global_id, action, local)
where local is not null and domain is null;

create unique index qrntn_rqst_idactn_index
on qrntn_action_request (m_global_id, action)
where local is null and domain is null;

-- convert the quarantine disk usage numbers to kilobytes
update prd_pmx_runtime_fact set value_absolute = (value_absolute + 512) / 1024
where runtime_fact_type_id = 13;

COMMENT ON SCHEMA public IS 'PMX 5.005';

commit;
