begin;

-- create new runtime fact type for OS health reports
insert into prd_runtime_fact_type
(id, name) values (15, 'disc_kbytes_free');

-- create new view for quarantine size report
create view
        prd_pmx_runtime_fact_quarantine_view as
        select
                period.period_id,
                prd_runtime_fact_type.id as runtime_fact_type_id,
                period.pmx_host_id,
                coalesce(value_absolute, 0) as value_absolute
        from
                prd_runtime_fact_type
        cross join (
                select distinct
                        period_id,
                        pmx_host_id
                from
                        prd_pmx_runtime_fact
                join
                        prd_runtime_fact_type
                on
                        prd_runtime_fact_type.id = prd_pmx_runtime_fact.runtime_fact_type_id
                where
                        prd_runtime_fact_type.name ~* 'total_quarantined_local'
                        or prd_runtime_fact_type.name ~* 'quarantine_kbytes_local'
                        or prd_runtime_fact_type.name ~* 'new_quarantined_local'
                ) as period
         left join
                prd_pmx_runtime_fact as fact
         on
                period.period_id = fact.period_id
                and period.pmx_host_id = fact.pmx_host_id
                and fact.runtime_fact_type_id = prd_runtime_fact_type.id
         where
                prd_runtime_fact_type.name ~* 'total_quarantined_local'
                or prd_runtime_fact_type.name ~* 'quarantine_kbytes_local'
                or prd_runtime_fact_type.name ~* 'new_quarantined_local'
;

COMMENT ON SCHEMA public IS 'PMX 5.006';

commit;
