begin;

-- Add direction to reporting views
drop view prd_msgs_processed_count_per_reason_view;
create or replace view prd_msgs_processed_count_per_reason_view
as
select  prd_period.id as period_id,
        prd_quarantine_reason.id as quarantine_reason_id,
        prd_pmx_host.id as pmx_host_id,
        coalesce(prd_msgs_processed_count.tally,0)        as tally,
        prd_period.duration,
        prd_direction.name as direction,
        prd_period.period_start,
        prd_period.period_end
from    (prd_period cross join prd_pmx_host cross join prd_quarantine_reason cross join prd_direction)
        left join prd_msgs_processed_count
        on prd_period.id = prd_msgs_processed_count.period_id
        and prd_quarantine_reason.id = prd_msgs_processed_count.quarantine_reason_id
        and prd_pmx_host.id = prd_msgs_processed_count.pmx_host_id
        and prd_direction.id = prd_msgs_processed_count.direction_id
;

COMMENT ON SCHEMA public IS 'PMX 5.300';

commit;
