begin;

DROP VIEW prd_pmx_runtime_fact_quarantine_view;

ALTER TABLE prd_pmx_runtime_fact ADD va bigint;
ALTER TABLE prd_pmx_runtime_fact ADD vr bigint;

UPDATE prd_pmx_runtime_fact SET va=value_absolute, vr=value_relative;

ALTER TABLE prd_pmx_runtime_fact DROP value_absolute;
ALTER TABLE prd_pmx_runtime_fact DROP value_relative;
ALTER TABLE prd_pmx_runtime_fact RENAME va TO value_absolute;
ALTER TABLE prd_pmx_runtime_fact RENAME vr TO value_relative;

CREATE VIEW prd_pmx_runtime_fact_quarantine_view AS
  SELECT prd_period.id AS period_id, prd_period.period_start, prd_period.period_end, prd_period.duration, prd_runtime_fact_type.id AS runtime_fact_type_id, prd_pmx_host.id AS pmx_host_id, COALESCE(value_absolute, 0) AS value_absolute
   FROM prd_period
   JOIN prd_runtime_fact_type ON (EXISTS ( SELECT 'x'
           FROM prd_pmx_runtime_fact
          WHERE prd_pmx_runtime_fact.period_id = prd_period.id AND (prd_runtime_fact_type.name::text = 'total_quarantined_local' OR prd_runtime_fact_type.name::text = 'quarantine_kbytes_local' OR prd_runtime_fact_type.name::text = 'new_quarantined_local')))
  CROSS JOIN prd_pmx_host
   LEFT JOIN prd_pmx_runtime_fact prd_pmx_runtime_fact_2 ON prd_period.id = prd_pmx_runtime_fact_2.period_id AND prd_pmx_runtime_fact_2.runtime_fact_type_id = prd_runtime_fact_type.id AND (prd_pmx_runtime_fact_2.runtime_fact_type_id IN ( SELECT prd_runtime_fact_type_2.id
           FROM prd_runtime_fact_type prd_runtime_fact_type_2
          WHERE (prd_runtime_fact_type_2.name::text = 'total_quarantined_local' OR prd_runtime_fact_type_2.name::text = 'quarantine_kbytes_local' OR prd_runtime_fact_type_2.name::text = 'new_quarantined_local') AND prd_pmx_host.id = prd_pmx_runtime_fact_2.pmx_host_id));

COMMENT ON SCHEMA public IS 'PMX 5.304';
commit;
