begin;
ALTER TABLE prd_mta_action_count DROP COLUMN relay_id;
DELETE FROM prd_applicable_dimension WHERE dimension_name = 'relay' AND fact_name='mta_action_count';

CREATE TABLE prd_policy_mark_hits (
    group_name text NOT NULL,
    period_start timestamptz NOT NULL,
    policy_mark text NOT NULL,
    tally integer NOT NULL
);

INSERT INTO public.binary_permission_item
    (permission_item, default_permission_bits)
    VALUES ('reports.policymarkhits', 1);

INSERT INTO public.binary_permission_item
    (permission_item, default_permission_bits)
    VALUES ('reports.policymarkhits.export', 1);

CREATE OR REPLACE FUNCTION ins_transient_prd_cfg_data() RETURNS void
    AS '
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''sender'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''relay'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''probability_range'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''msg_size_range'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''direction'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''spam_virus_rule'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''quarantine_reason'', ''msgs_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''atchmt_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''atchmt_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''msg_size_range'', ''atchmt_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''atchmt_type'', ''atchmt_processed_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''msgs_prcsd_per_rcpnt_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''msgs_prcsd_per_rcpnt_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''quarantine_reason'', ''msgs_prcsd_per_rcpnt_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''recipient'', ''msgs_prcsd_per_rcpnt_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''rule_hit_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''rule_hit_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''spam_virus_rule'', ''rule_hit_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''recipient'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''user_action'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''relay'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''sender'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''probability_range'', ''user_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''fact_type'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_process'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''concurrency_range'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''rsrc_utlztn_range'', ''pmx_runtime_fact'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''period'', ''mta_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''pmx_host'', ''mta_action_count'', 1);
    insert into prd_applicable_dimension
        (dimension_name, fact_name, is_collected)
            values (''mta_action'', ''mta_action_count'', 1);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''rule_hit_count'', ''rule_hit_count_expiry'',
                    ''expiry'', 172800, ''hourly'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''policy_mark_count'', ''policy_mark_count_expiry'',
                    ''expiry'', 172800, ''hourly'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''pmx_runtime_fact'', ''pmx_runtime_fact_aggregation'',
                    ''aggregation/avg'', 172800, ''hourly'', 3600);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''pmx_runtime_fact'', ''user_action_count_expiry'',
                    ''expiry'', 63115200, ''daily'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''user_action_count'', ''user_action_count_aggregation'',
                    ''aggregation/sum'', 172800, ''hourly'', 3600);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''user_action_count'', ''user_action_count_expiry'',
                    ''expiry'', 31557600, ''daily'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
         recurrence, aggregation_period)
            values (''msgs_processed_count'', ''msg_proc_expiry'',
                    ''expiry'', 63115200, ''daily'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''msgs_processed_count'', ''msg_proc_aggregation'',
                    ''aggregation/sum'', 129600, ''hourly'', 3600);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
         recurrence, aggregation_period)
            values (''msgs_prcsd_per_rcpnt_count'', ''msg_proc_rcpnt_expiry'',
                    ''expiry'', 129600, ''hourly'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
         recurrence, aggregation_period)
            values (''atchmt_processed_count'', ''atchmt_processed_expiry'',
                    ''expiry'', 129600, ''hourly'', null);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''mta_action_count'', ''mta_action_aggregation'',
                    ''aggregation/sum'', 172800, ''hourly'', 3600);
    insert into prd_reduction_action
        (fact_name, action_name, action_type, age_threshold,
        recurrence, aggregation_period)
            values (''mta_action_count'', ''mta_action_expiry'',
                    ''expiry'', 63115200, ''daily'', null);
    insert into prd_nullified_dimension
        (fact_name, action_name, dimension_name)
            values (''msgs_processed_count'', ''msg_proc_aggregation'', ''relay'');
    insert into prd_nullified_dimension
        (fact_name, action_name, dimension_name)
            values (''msgs_processed_count'', ''msg_proc_aggregation'', ''sender'');
'
    LANGUAGE sql;

COMMENT ON SCHEMA public IS 'PMX 5.401';
commit;
