begin;

CREATE OR REPLACE FUNCTION generate_series(timestamptz,timestamptz,interval) RETURNS SETOF timestamptz
   AS '
   DECLARE _c timestamptz := $1;
   BEGIN
        WHILE _c <= $2 LOOP
           RETURN NEXT _c;
           _c := _c + $3;
        END LOOP;
   END;
'
      LANGUAGE plpgsql IMMUTABLE;

CREATE TABLE prd_custom_mark_hits (
    group_name text NOT NULL,
    period_start timestamptz NOT NULL,
    mark_key integer NOT NULL,
    mark_val text NOT NULL,
    tally integer NOT NULL
);

CREATE INDEX prd_custom_mark_hits_index
            ON prd_custom_mark_hits (group_name, period_start, mark_key);

-- Add logsearch preview permissions
insert into binary_permission_item (permission_item, default_permission_bits) 
    values ('logsearch.preview.rawlogs.message_log', 1);

insert into binary_permission_item (permission_item, default_permission_bits) 
    values ('reports.custommarkhits', 1);

ALTER TABLE binary_permission_item
    ADD CONSTRAINT permission_item_unique 
            UNIQUE (permission_item);

COMMENT ON SCHEMA public IS 'PMX 5.600';
commit;
